# Makefile for PyTine.so library
# Insert the proper lib and include locations for your installation
# or set environment
#
# THE VARIABLES 
#   TINE_INCL and TINE_PYTHON_INCL
# CAN BE GIVEN

TINE_INCL ?= /usr/include/tine
TINE_PYTHON_INCL ?= /usr/include/python3.4

CC = gcc -g -fPIC -Wall -I${TINE_INCL} -I${TINE_PYTHON_INCL} -c -Wno-unused-but-set-variable -Wno-unused-variable
# CC = gcc -g -fPIC -Wall -I${TINE_INCL} -I${TINE_PYTHON_INCL} -c
CCL = cc -shared -o

PyTine.so: pytine.o eventtools.o
	${CCL} $@ pytine.o eventtools.o -L. -ltinemt -ltbufsrv -lrt

pytine.o: pytine.cpp 
	${CC} pytine.cpp 

eventtools.o: eventtools.c
	${CC} eventtools.c

clean:
	rm -f *.o
